Subject: bug#12120: 24.1.50; crash with autocomplete

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Aug 2012 18:20:01 +0300

> From: Ivan Kanis <[email-masked]>
> Date: Thu, 02 Aug 2012 15:45:13 +0200
> 
> I was just typing a few words with autocomplete when I got the crash.
> 
> Program received signal SIGSEGV, Segmentation fault.
> 0x080fadd9 in char_table_ref (table=139184869, c=4194751) at chartab.c:237
> 237           if (SUB_CHAR_TABLE_P (val))
> 
> bt full
> #0  0x080fadd9 in char_table_ref (table=139184869, c=4194751) at chartab.c:237
>         tbl = 0x84bcae0
>         val = 1077936141
> #1  0x082607c6 in composition_compute_stop_pos (cmp_it=0xbfff8d50, charpos=21, 
>     bytepos=22, endpos=53, string=158973849) at composite.c:1051
>         start = 0
>         end = 1
>         c = 4194751
>         prop = 139100362
>         val = 139100362
>         MAX_NEWLINE_DISTANCE = 500

Is this session still running inside GDB, so I can ask you to look
around and show values of some variables?